%define module  MIME-Lite
%define name    perl-%{module}
%define version 3.021
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Low-calorie MIME generator 
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/MIME/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Email::Date)
BuildRequires:  perl(MIME::Types)
BuildRequires:  perl(Mail::Address)
BuildRequires:  perl(Email::Date::Format)
BuildRequires:  sendmail-command
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
MIME::Lite is intended as a simple, standalone module for generating
(not parsing!) MIME messages... specifically, it allows you to output a
simple, decent single- or multi-part message with text or binary
attachments. It does not require that you have the Mail:: or MIME::
modules installed. 

%prep
%setup -q -n %{module}-%{version}

%build
chmod 644 README changes.pod lib/MIME/* examples/*
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f %{buildroot}%{perl_vendorlib}/MIME/changes.pod

%files
%defattr(-,root,root)
%doc COPYING INSTALLING README changes.pod
%{perl_vendorlib}/MIME
%{_mandir}/*/*



%changelog
* Tue Dec 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.021-1mdv2008.1
+ Revision: 115163
- new version

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.020-1mdv2008.0
+ Revision: 75283
- update to new version 3.020

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-9mdv2008.0
+ Revision: 67063
- rebuild


* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.01-8mdv2007.0
- %%mkrel
- spec cleanup
- better summary

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.01-7mdk
- Rebuild, cleanup, trim description

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-6mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-5mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.01-4mdk
- fixed dir ownership (distlint)

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.01-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

